%define        xlockgtkname       %{name}-gtk2

Name:          xlockmore
Version:       5.66
Release:       %mkrel 1
Summary:       An X terminal locking program
License:       BSD
Group:         Graphical desktop/Other
URL:           http://sillycycle.com/xlockmore.html
Source0:       http://sillycycle.com/xlock/%{name}-%{version}.tar.xz
Source1:       xlock.pamd
Source2:       xlockmore.desktop

Patch0:        xlockmore-5.55-soundpath.patch
Patch3:        xlockmore-5.32-include_ftgl_path.patch
Patch4:        xlockmore-5.56-pthreads.patch

Requires:      fortune-mod
Requires:      pam
#fhimpe: needed for chkpwd group
Requires:      setup

BuildRequires: autoconf-archive
BuildRequires: gtk+2-devel
BuildRequires: pkgconfig(glu) 
BuildRequires: pam-devel
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xext)
BuildRequires: pkgconfig(xinerama)
BuildRequires: pkgconfig(xmu)
BuildRequires: pkgconfig(ftgl)
BuildRequires: pkgconfig(audiofile)
BuildRequires: pkgconfig(xpm)

%description
The xlockmore utility is an enhanced version of the standard xlock
program, which allows you to lock an X session so that other users
can't access it.  Xlockmore runs a provided screen saver until you
type in your password. Install the xlockmore package if you need a
locking program to secure X sessions.


%package -n %{xlockgtkname}
Summary:       A GTK2 front-end to xlockmore
Url:           http://www.tux.org/~bagleyd/xlockmore.html
Group:         Graphical desktop/Other
License:       BSD
Requires:      xlockmore

%description -n %{xlockgtkname}
A GTK2 front-end to xlockmore.




%prep
%setup -q
%patch0 -p1 -b .soundpath
%patch3 -p1 -b .include_ftgl_path
%patch4 -p1 -b .pthreads

sed -i -e "s,/lib,/%{_lib},g" configure



%build
autoreconf -i
export CXXFLAGS="%{optflags} `freetype-config --cflags`"
%configure \
               --without-motif \
               --with-gtk2 \
               --without-gtk \
               --enable-pam \
               --enable-syslog \
               --disable-setuid \
               --with-crypt \
               --without-rplay \
               --enable-appdefaultdir=%{_datadir}/X11/app-defaults

%make_build CC="gcc %ldflags" XLOCKLDFLAGS="%ldflags"




%install

mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/sounds/xlockmore
mkdir -p %{buildroot}%{_datadir}/xlock
#perl -p -i -e 's/-o root//g' Makefile */Makefile
#makeinstall

install -m 755 xlock/xlock -D %{buildroot}%{_bindir}/xlock
install -m 755 xglock/xglock -D %{buildroot}%{_bindir}/xglock
install -m 644 xlock/xlock.man -D %{buildroot}%{_mandir}/man1/xlock.1
install -m 644 xlock/XLock.ad -D %{buildroot}%{_datadir}/X11/app-defaults/XLock
install -m 644 xglock/xglockrc -D %{buildroot}%{_datadir}/xlock/xglockrc

install -m 644 %{SOURCE1} -D %{buildroot}%{_sysconfdir}/pam.d/xlock
install -m 644 %{SOURCE2} -D %{buildroot}%{_datadir}/applications/xlockmore.desktop

cp sounds/*.au %{buildroot}%{_datadir}/sounds/xlockmore
rm -rf %{buildroot}%{_mandir}/xlock.1*




%files
%attr(2755,root,chkpwd) %{_bindir}/xlock
%{_mandir}/man1/xlock.1*
%config(noreplace) %{_datadir}/X11/app-defaults/XLock
%{_datadir}/sounds/xlockmore
%{_datadir}/applications/%{name}.desktop
%config(noreplace) %{_sysconfdir}/pam.d/*


%files -n %{xlockgtkname}
%{_bindir}/xglock
%{_datadir}/xlock


%changelog
* Wed Nov 18 2020 luigiwalser <luigiwalser> 5.66-1.mga8
+ Revision: 1647263
- 5.66

* Fri Sep 04 2020 eatdirt <eatdirt> 5.65-1.mga8
+ Revision: 1621771
- Upgrade to version 5.65

* Sat Jul 11 2020 eatdirt <eatdirt> 5.64-1.mga8
+ Revision: 1604336
- Upgrade to version 5.64

* Wed Mar 18 2020 eatdirt <eatdirt> 5.62-1.mga8
+ Revision: 1557841
- Upgrade to version 5.62

* Tue Feb 18 2020 umeabot <umeabot> 5.61-2.mga8
+ Revision: 1541844
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Fri Jan 03 2020 luigiwalser <luigiwalser> 5.61-1.mga8
+ Revision: 1475610
- 5.61

* Sun Sep 23 2018 umeabot <umeabot> 5.56-2.mga7
+ Revision: 1301924
- Mageia 7 Mass Rebuild

* Mon Aug 13 2018 eatdirt <eatdirt> 5.56-1.mga7
+ Revision: 1251316
- Upgrade to version 5.56

* Sat Oct 07 2017 eatdirt <eatdirt> 5.55-1.mga7
+ Revision: 1169885
- Upgrade to version 5.55

* Tue May 02 2017 eatdirt <eatdirt> 5.53-1.mga6
+ Revision: 1098525
- Upgrade to version 5.53

* Mon Apr 03 2017 eatdirt <eatdirt> 5.51-1.mga6
+ Revision: 1095793
- Upgrade to version 5.51

* Tue Jan 10 2017 luigiwalser <luigiwalser> 5.50-1.mga6
+ Revision: 1080864
- 5.50

* Thu Dec 01 2016 eatdirt <eatdirt> 5.49-1.mga6
+ Revision: 1071471
- Upgrading xlockmore to 5.49

* Wed May 25 2016 luigiwalser <luigiwalser> 5.47-1.mga6
+ Revision: 1018516
- 5.47

* Fri Feb 12 2016 umeabot <umeabot> 5.46-2.mga6
+ Revision: 959335
- Mageia 6 Mass Rebuild

* Tue Sep 29 2015 eatdirt <eatdirt> 5.46-1.mga6
+ Revision: 885101
- Upgrade to version 5.46
+ alexl <alexl>
- add GenericName

* Fri Dec 19 2014 luigiwalser <luigiwalser> 5.45-1.mga5
+ Revision: 804315
- 5.45

* Thu Nov 20 2014 luigiwalser <luigiwalser> 5.44-1.mga5
+ Revision: 798026
- 5.44

* Wed Oct 15 2014 luigiwalser <luigiwalser> 5.43-6.mga5
+ Revision: 757603
- freetype includes are needed for g++
- add freetype to include path
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 5.43-2.mga4
+ Revision: 529950
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 eatdirt <eatdirt> 5.43-1.mga4
+ Revision: 454421
- Expanding _desktopdir variable
- Upgrade to version 5.43, cleaning specfile
- Upgrade to 5.42

* Mon Apr 01 2013 luigiwalser <luigiwalser> 5.42-1.mga4
+ Revision: 406914
- 5.42

* Mon Jan 14 2013 umeabot <umeabot> 5.41-2.mga3
+ Revision: 387069
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 luigiwalser <luigiwalser> 5.41-1.mga3
+ Revision: 313618
- 5.41

* Sun Jul 22 2012 luigiwalser <luigiwalser> 5.40-1.mga3
+ Revision: 273639
- 5.40

* Mon May 28 2012 luigiwalser <luigiwalser> 5.39-1.mga3
+ Revision: 248783
- 5.39

* Fri Apr 27 2012 luigiwalser <luigiwalser> 5.38-2.mga2
+ Revision: 233479
- use system-lock-screen for menu icon

* Sat Feb 11 2012 luigiwalser <luigiwalser> 5.38-1.mga2
+ Revision: 207590
- 5.38

* Mon Jan 09 2012 kamil <kamil> 5.37-1.mga2
+ Revision: 194119
- new version
- clean spec

* Fri Sep 16 2011 fwang <fwang> 5.34-2.mga2
+ Revision: 144162
- cleanup br

* Thu Sep 15 2011 fwang <fwang> 5.34-1.mga2
+ Revision: 144047
- fix desktop file
+ pterjan <pterjan>
- Update to 5.34

* Thu Mar 03 2011 ahmad <ahmad> 5.32-1.mga1
+ Revision: 62751
- update to 5.32
- rediff patches
- enable parallel make
- drop esound-devel BR (phasing esound out of the distro)
- drop un-applied patch (been un-applied for 2 years)

* Thu Jan 20 2011 pterjan <pterjan> 5.28-3.mga1
+ Revision: 25761
- imported package xlockmore


* Thu Jul 22 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 5.28-3mdv2011.0
+ Revision: 556942
- Replace X11-devel BR to save time

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 5.28-2mdv2010.1
+ Revision: 524451
- rebuilt for 2010.1

* Wed Aug 19 2009 Funda Wang <fwang@mandriva.org> 5.28-1mdv2010.0
+ Revision: 418045
- New version 5.28

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 5.26.1-4mdv2009.1
+ Revision: 350994
- rebuild

* Mon Aug 25 2008 Vincent Danen <vdanen@mandriva.com> 5.26.1-3mdv2009.0
+ Revision: 275957
- disable the drop_setgid patch for now

* Mon Aug 25 2008 Vincent Danen <vdanen@mandriva.com> 5.26.1-2mdv2009.0
+ Revision: 275954
- make xlock readable, maybe it will help with the inexplicable problems some are seeing with authentication issues

* Mon Aug 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.26.1-1mdv2009.0
+ Revision: 270627
- update to new version 5.26.1

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 5.25-6mdv2009.0
+ Revision: 266095
- rebuild early 2009.0 package (before pixel changes)

* Mon Jun 02 2008 Frederik Himpe <fhimpe@mandriva.org> 5.25-5mdv2009.0
+ Revision: 214356
- Add Requires: setup >= 2.7.12-2, to make sure the chkpwd group exists when installing xlockmore

* Fri May 23 2008 Vincent Danen <vdanen@mandriva.com> 5.25-4mdv2009.0
+ Revision: 210183
- make it sgid chkpwd

* Thu May 22 2008 Vincent Danen <vdanen@mandriva.com> 5.25-3mdv2009.0
+ Revision: 210090
- add a patch to drop sgid calls and make xlock sgid shadow so that it will work again with both shadow and tcb passwording

* Fri May 16 2008 Paulo Andrade <pcpa@mandriva.com.br> 5.25-2mdv2009.0
+ Revision: 208015
- Fix remaining of an alternative correction, that would require adding
  librplay to the distro being commited.
- By default, don't build with rplay, if it is available in the
  "Build System". This should be only an issue for people building
  rpms from source. And should address #38171
  ("xlockmore for build needs librplay-devel if librplay installed")

* Sat Feb 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 5.25-1mdv2008.1
+ Revision: 174085
- new license policy
- drop patch 0
- add desktop entry for xflock
- enable syslog logging
- spec file clean
- new version 5.25

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Jun 21 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 5.23-1mdv2008.0
+ Revision: 42343
- New upstream release: 5.23


* Tue Mar 06 2007 Gustavo Pichorim Boiko <boiko@mandriva.com> 5.22-5mdv2007.0
+ Revision: 133664
- fix the path to look for app-defaults (#23242)
- fix the path to look for sounds (#17792)

* Sat Feb 10 2007 Michael Scherer <misc@mandriva.org> 5.22-4mdv2007.1
+ Revision: 118678
- do not use pam_stack
- bunzip patchs

* Fri Dec 22 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 5.22-3mdv2007.1
+ Revision: 101842
- fix build

* Thu Aug 31 2006 Antonio Hobmeir Neto <neto@mandriva.com> 5.22-2mdv2007.0
+ Revision: 58917
- Add a symlink to /usr/lib/X11/app-default/XLock (#23242)
- Add missing build requires for gtk+2-devel

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - Import xlockmore

* Wed Jun 28 2006 Eskild Hustvedt <eskild@mandriva.org> 5.22-1mdv
- New version 5.22
- Dropped patch2 - merged upstream
- Rediffed patch1
- Now compiles the gtk2 front-end, found in the -gtk2 subpackage

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 5.19-3mdk
- Rebuild

* Wed Aug 17 2005 Samir Bellabes <sbellabes@mandriva.com> 5.19-2mdk
- Use workaround for pam problem (same as for Gentoo) (bug #17504)
- fix bad path for including FTGL's header
- And it should be a good idea to test package before uploading, next time

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 5.19-1mdk
- new release

* Fri Aug 12 2005 Nicolas Lécureuil <neoclust@mandriva.org> 5.18-1mdk
- new release from Crispin Boylan
- %%mkrel

* Thu Jun 10 2004 Götz Waschk <waschk@linux-mandrake.com> 5.11-2mdk
- rebuild for new g++

